commit:     03696cf00fe354e0281ab7672b38775717ce7eac
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  3 14:06:37 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Aug  3 14:12:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03696cf0

app-emacs/erlang-mode: fix HOMEPAGE and other minor tweaks

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/erlang-mode/erlang-mode-27.0.1.ebuild | 39 ++++++++++++++++++-------
 1 file changed, 28 insertions(+), 11 deletions(-)

diff --git a/app-emacs/erlang-mode/erlang-mode-27.0.1.ebuild 
b/app-emacs/erlang-mode/erlang-mode-27.0.1.ebuild
index 70b48bf303d9..614c5b4699a1 100644
--- a/app-emacs/erlang-mode/erlang-mode-27.0.1.ebuild
+++ b/app-emacs/erlang-mode/erlang-mode-27.0.1.ebuild
@@ -5,24 +5,41 @@ EAPI=8
 
 inherit elisp
 
-# Distfile is shared with dev-lang/erlang.
 DESCRIPTION="A major mode for editing Erlang"
-HOMEPAGE="https://www.erlang. https://github.com/erlang/";
-SRC_URI="https://github.com/erlang/otp/archive/OTP-${PV}.tar.gz -> 
erlang-${PV}.tar.gz"
-S="${WORKDIR}"/otp-OTP-${PV}/lib/tools/emacs
+HOMEPAGE="https://www.erlang/
+       https://github.com/erlang/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/erlang/otp.git";
+       S="${WORKDIR}/${P}/lib/tools/emacs"
+else
+       # Distfile is shared with dev-lang/erlang.
+       SRC_URI="https://github.com/erlang/otp/archive/OTP-${PV}.tar.gz
+               -> erlang-${PV}.tar.gz"
+       S="${WORKDIR}/otp-OTP-${PV}/lib/tools/emacs"
+
+       KEYWORDS="~amd64 ~x86"
+fi
 
 LICENSE="Apache-2.0"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
 
-RDEPEND="!dev-lang/erlang[emacs(-)]"
+RDEPEND="
+       !dev-lang/erlang[emacs(-)]
+"
 
-SITEFILE=50${PN}-gentoo.el
+SITEFILE="50${PN}-gentoo.el"
 
-src_install() {
-       elisp-install erlang *.el *.elc
+src_prepare() {
+       elisp_src_prepare
 
        sed -e "s:/usr/share:${EPREFIX}/usr/share:g" \
-               "${FILESDIR}"/${SITEFILE} > "${T}"/${SITEFILE} || die
-       elisp-site-file-install "${T}"/${SITEFILE}
+               "${FILESDIR}/${SITEFILE}" > "${T}/${SITEFILE}" || die
+}
+
+src_install() {
+       elisp-install erlang *.el{,c}
+       elisp-site-file-install "${T}/${SITEFILE}"
 }

Reply via email to